# Project Serum RFCs

The "RFC" (request for comments) process is intended to provide a consistent
and open venue for discussion of potential changes and additions to projects under the decentralized
Project Serum protocol so that all  stakeholders can be confident about the direction of the project.

This medium of discussion has been formed by open source contributors to the protocol and
is in no way in control of the Project Serum protocol.

As Project Serum is a completely decentralized autonomous organization, all protocol decisions are made
via the on-chain governance process. A community-hosted user interface for this on-chain program can be viewed
on [Realms](https://realms.today/dao/SERUM).

## Process

- Fork this repo
- Copy `0000-template.md` to `text/0000-my-feature.md` (where "my-feature" is
  descriptive). Don't assign an RFC number yet; This is going to be the PR
  number and we'll rename the file accordingly if the RFC is accepted.
- Fill in the RFC.
- Submit a pull request. As a pull request the RFC will receive design
  feedback from the larger community, and the author should be prepared to
  revise it in response.
- Now that your RFC has an open pull request, use the issue number of the PR
  to update your `0000-` prefix to that number.
- Build consensus and integrate feedback. RFCs that have broad support are
  much more likely to make progress than those that don't receive any
  comments.
- After adequate discussion of design choices and tradeoffs, as determined by the author,
  the plan outlined in the RFC can be executed.
- This may include posting the proposal to the [Project Serum forums](https://forum.projectserum.com)
